Update Customer
curl --request PUT \
--url https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Customer",
"email": "customer@example.com",
"phone": "+000000000000",
"provider_default_invoice_payment_method_id": "test_payment_method_id",
"metadata": {
"source": "intake"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
payload = {
"name": "Example Customer",
"email": "customer@example.com",
"phone": "+000000000000",
"provider_default_invoice_payment_method_id": "test_payment_method_id",
"metadata": { "source": "intake" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Customer',
email: 'customer@example.com',
phone: '+000000000000',
provider_default_invoice_payment_method_id: 'test_payment_method_id',
metadata: {source: 'intake'}
})
};
fetch('https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Customer',
'email' => 'customer@example.com',
'phone' => '+000000000000',
'provider_default_invoice_payment_method_id' => 'test_payment_method_id',
'metadata' => [
'source' => 'intake'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
payload := strings.NewReader("{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "test_config_id",
"provider_account_id": "test_account_id",
"provider_customer_id": "test_customer_id",
"payment_provider": "stripe",
"email": "customer@example.com",
"name": "Example Customer",
"phone": "+000000000000",
"description": null,
"delinquent": null,
"address": null,
"shipping": null,
"default_invoice_payment_method": {
"provider_payment_method_id": "test_payment_method_id",
"type": "card",
"card": {
"brand": "test_card_brand",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028
}
},
"created": 1300,
"balance": 0,
"currency": null,
"metadata": {}
}
}Billing Customers
Update Customer
Partial update of a customer. At least one update field is required.
PUT
/
billing-customers
/
{provider_customer_id}
Update Customer
curl --request PUT \
--url https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Customer",
"email": "customer@example.com",
"phone": "+000000000000",
"provider_default_invoice_payment_method_id": "test_payment_method_id",
"metadata": {
"source": "intake"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
payload = {
"name": "Example Customer",
"email": "customer@example.com",
"phone": "+000000000000",
"provider_default_invoice_payment_method_id": "test_payment_method_id",
"metadata": { "source": "intake" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Customer',
email: 'customer@example.com',
phone: '+000000000000',
provider_default_invoice_payment_method_id: 'test_payment_method_id',
metadata: {source: 'intake'}
})
};
fetch('https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Customer',
'email' => 'customer@example.com',
'phone' => '+000000000000',
'provider_default_invoice_payment_method_id' => 'test_payment_method_id',
'metadata' => [
'source' => 'intake'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
payload := strings.NewReader("{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Customer\",\n \"email\": \"customer@example.com\",\n \"phone\": \"+000000000000\",\n \"provider_default_invoice_payment_method_id\": \"test_payment_method_id\",\n \"metadata\": {\n \"source\": \"intake\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "test_config_id",
"provider_account_id": "test_account_id",
"provider_customer_id": "test_customer_id",
"payment_provider": "stripe",
"email": "customer@example.com",
"name": "Example Customer",
"phone": "+000000000000",
"description": null,
"delinquent": null,
"address": null,
"shipping": null,
"default_invoice_payment_method": {
"provider_payment_method_id": "test_payment_method_id",
"type": "card",
"card": {
"brand": "test_card_brand",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028
}
},
"created": 1300,
"balance": 0,
"currency": null,
"metadata": {}
}
}Authorizations
serviceTokenuserToken
Body
application/json

